(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? module.exports = factory() :
    typeof define === 'function' && define.amd ? define(factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, global.BuilderFullCalendarMeta = factory());
})(this, (function () { 'use strict';

    /******************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */

    var __assign = function() {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };

    var config = {
        group: "华炎魔方",
        componentName: "FullCalendar",
        title: "日程",
        docUrl: "",
        screenshot: "",
        npm: {
            package: "@steedos-widgets/fullcalendar",
            version: "{{version}}",
            exportName: "FullCalendar",
            main: "",
            destructuring: true,
            subName: ""
        },
        props: [],
        preview: {},
        targets: ["steedos__RecordPage", "steedos__AppPage", "steedos__HomePage"],
        engines: ["amis"],
        // settings for amis.
        amis: {
            name: 'steedos-fullcalendar',
            icon: "fa-fw fa fa-list-alt"
        }
    };
    var Calendar = __assign(__assign({}, config), { snippets: [
            {
                title: config.title,
                screenshot: "",
                schema: {
                    componentName: config.componentName,
                    props: config.preview
                }
            }
        ], amis: {
            render: {
                type: config.amis.name,
                usage: "formitem",
                weight: 1,
                framework: "react"
            },
            plugin_disabled: {
                rendererName: config.amis.name,
                $schema: '/schemas/UnkownSchema.json',
                name: config.title,
                description: config.title,
                tags: [config.group],
                order: -9999,
                icon: config.amis.icon,
                scaffold: {
                    type: config.amis.name,
                    label: config.title,
                    title: "",
                    content: ""
                },
                previewSchema: {
                    type: config.amis.name,
                },
                panelTitle: "设置",
                panelControls: [
                    {
                        type: "text",
                        name: "title",
                        label: "标题",
                    },
                    {
                        type: "text",
                        name: "content",
                        label: "内容"
                    }
                ],
                events: [{
                        eventName: "eventClick",
                        eventLabel: 'eventClick',
                        description: 'Click on an event.',
                        dataSchema: [{
                                type: "object",
                                properties: {
                                    "event.data.name": {
                                        type: "string",
                                        title: "name"
                                    },
                                }
                            }]
                    }],
                //   panelBodyCreator: function(context) {
                //     return window['AmisEditorCore'].getSchemaTpl('tabs', [
                //       {
                //         title: '常规',
                //         controls: [
                //           {
                //             name: 'name',
                //             label: '标题',
                //             type: 'text'
                //           }
                //         ]
                //       },
                //     ]);
                //   }
            },
        } });

    /*
     * @Author: baozhoutao@steedos.com
     * @Date: 2022-08-31 16:32:35
     * @LastEditors: baozhoutao@steedos.com
     * @LastEditTime: 2022-09-01 18:46:29
     * @Description:
     */
    var components = [Calendar];
    var componentList = [
        {
            title: "华炎魔方",
            icon: "",
            children: [Calendar]
        }
    ];
    var meta = {
        componentList: componentList,
        components: components
    };

    return meta;

}));
